openSUSE Security Update : python-cupshelpers (openSUSE-SU-2011:1331-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

system-config-printer used an unauthenticated connection when
downloading printer drivers from openprinting.org (CVE-2011-4405).
This update disables the printer driver download feature.

system-config-printer did not properly quote shell meta characters in
SMB server or workgroup names when passing them to the shell
(CVE-2011-2899).

See also :

http://lists.opensuse.org/opensuse-updates/2011-12/msg00010.html
https://bugzilla.novell.com/show_bug.cgi?id=733542
https://bugzilla.novell.com/show_bug.cgi?id=735322

Solution :

Update the affected python-cupshelpers packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 76001 ()

Bugtraq ID:

CVE ID: CVE-2011-2899
CVE-2011-4405

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now